<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.3 (2018/04/12)
 * Compatibility : Guppy v5.0+ et Adm_redacteurs v6.12+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

/***********************************************************************************************************************************
 * Initialisation des droits du rédacteur
 */
 
$ADMR_rights = array(
    'qcm_manage' => 0,
    'qcm_add' => 0,
    'qcm_edit' => 0,
    'qcm_act' => 0,
    'qcm_del' => 0,
    'qcm_reset_counter' => 0,
    
    // Options
    'qcm_private_group_manage' => 0,
    'qcm_publication_manage' => 0,
    'qcm_sidebars_manage' => 0,
    'qcm_icon_manage' => 0,
//    'qcm_send_email' => 0,
    'qcm_answers_choice_manage' => 0,    // Gérer le choix des réponses aux questions
    'qcm_display_questions_manage' => 0, // Gérer l'affichage des questions

    // Gestion des questions associés aux qcm   
    'qcm_questions_manage' => 0,
    'qcm_questions_add' => 0,
    'qcm_questions_edit' => 0,
    'qcm_questions_act' => 0,
    'qcm_questions_del' => 0,
    'qcm_questions_qcm_access' => 0, // Accès à tous les qcm crées ou non
    'qcm_questions_qcm_list_allowed' => array(), // Liste des qcm accessibles
    'qcm_questions_order' => 0, // Ordonne les questions

    // Gestion des items de menu associés aux qcm   
    'qcm_menuitems_manage' => 0,
    'qcm_menuitems_add' => 0,
    'qcm_menuitems_edit' => 0,
    'qcm_menuitems_act' => 0,
    'qcm_menuitems_del' => 0,

    // Gestion des qcm supprimés (partie admin uniquement)     
    'qcm_deleted_manage' => 0,
    'qcm_deleted_restore' => 0,
    'qcm_deleted_erase' => 0,    
);