<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.3 (2018/04/12)
 * Compatibility : Guppy v5.0+ et Adm_redacteurs v6.12+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require ADMR_CORE_PATH.'/public_manage_addons_writers_docs_controller.php';

class Manage_addons_writers_qcm_controller extends Public_manage_addons_writers_docs_controller
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $_lang = array();         // Données de langue
    protected $_config = array();       // Données de configuration
    protected $_writer_rights = array(); // Droits du rédacteur connecté

    protected $_doc_infos = array('name' => 'qcm', 'type' => 'qcm'); // Tableau contenant les informations du document (nom, type)
    protected $_addon = 'qcm'; // Nom de l'addon

    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */    
    public function __construct()
    {        
        parent :: __construct($this -> _doc_infos);
    }
    
    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

	/**
	 * édite ou ajoute un enregistrement
     * 
     * @access public
	 * @return string code html
	 */	
    public function index()
    {
        return parent :: index();
    }

	// --------------------------------------------------------------------

} //End of Class