<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.3 (2018/04/12)
 * Compatibility : Guppy v5.0+ et Adm_redacteurs v6.12+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

if (stristr($_SERVER['SCRIPT_NAME'], 'plugin.inc')) {
	header('location:../index.php');
	die();
}

/*
|--------------------------------------------------------------------------
| Initialisation des constantes et des variables utilisées dans le plugin
|--------------------------------------------------------------------------
*/
if (!defined('ADMR_DIRNAME')) {
    define('ADMR_IS_ADMIN', TRUE); // Administrateur (ne pas modifier)
    define('ADMR_DIRNAME', 'adm_redacteurs');
    
    require CHEMIN.'plugins/'.ADMR_DIRNAME.'/configs/constants.php';
}
require_once ADMR_ADDONS_PATH.'/qcm/configs/qcm_constants.php';   // Chargement des constantes de l'addon     
require QCM_LANGUAGES_PATH.'/qcm_'.ADMR_LNG.'.php'; // Récupération des items de langue contenus dans la variable (array)$ADMR_lang
require QCM_CONFIGS_PATH.'/qcm_config.php';         // Récupération des items de configuration contenus dans la variable (array) $ADMR_config
//

$plugin_admin_name = ucfirst($ADMR_lang['plugin_name']);
$plugin_admin_url = ADMR_DIRNAME.'/admin&amp;ctrl=addons/qcm/manage_qcm&amp;sort='.$ADMR_config['sort_option_by_default'];
$plugin_admin_icon = '../'.QCM_IMG_PATH.'/sections/qcm.gif';    

if (isset($ADMR_config['qcm']['is_compatible_with_adm_redacteurs']) && empty($ADMR_config['qcm']['is_compatible_with_adm_redacteurs'])) {
    $plugin_admin_url = ADMR_DIRNAME.'/admin&amp;ctrl=addons/qcm/display_error_qcm&amp;type=compatibility'; // Problème de compatibilité avec version de adm_redacteurs
}